import 'dart:io';

import 'package:flutter/material.dart';
import 'package:gmo_camera_picker/gmo_camera_picker.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: const MyHomePage(title: 'Flutter Demo Home Page'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  const MyHomePage({Key? key, required this.title}) : super(key: key);

  final String title;

  @override
  State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  File? _image;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Center(
        child: _image == null ? const SizedBox() : Image.file(_image!),
      ),
      floatingActionButton: FloatingActionButton(
        onPressed: pickerCamera,
        tooltip: 'Camera Picker',
        child: const Icon(Icons.add),
      ),
    );
  }

  Future<void> pickerCamera() async {
    _image = await GmoCameraPicker.pickFromCamera(context);
    setState(() {});
  }
}
