abstract class TextDelegate {
  String get confirm;

  String get shootingTips;

  String get loadFailed;
}

class DefaultTextDelegate extends TextDelegate {
  @override
  String get confirm => 'Xác nhận';

  @override
  String get shootingTips => 'Nhấn để chụp ảnh';

  @override
  String get loadFailed => 'Không tải được';
}

class DefaultTextDelegateWithRecording extends DefaultTextDelegate {
  @override
  String get shootingTips => 'Nhấn để chụp ảnh. Nhấn và giữ để quay video.';
}

class DefaultTextDelegateWithOnlyRecording extends DefaultTextDelegate {
  @override
  String get shootingTips => 'Nhấn và giữ để quay video.';
}

class DefaultTextDelegateWithTapRecording extends DefaultTextDelegate {
  @override
  String get shootingTips => 'Nhấn để quay video.';
}

class EnglishTextDelegate implements TextDelegate {
  @override
  String get confirm => 'Confirm';

  @override
  String get shootingTips => 'Tap to take photo.';

  @override
  String get loadFailed => 'Load failed';
}

class EnglishTextDelegateWithRecording extends EnglishTextDelegate {
  @override
  String get shootingTips => 'Tap to take photo. Long press to record video.';
}

class EnglishTextDelegateWithOnlyRecording extends EnglishTextDelegate {
  @override
  String get shootingTips => 'Long press to record video.';
}

class EnglishTextDelegateWithTapRecording extends EnglishTextDelegate {
  @override
  String get shootingTips => 'Tap to record video.';
}
