// ignore_for_file: invalid_use_of_protected_member

import 'dart:async';

import 'package:flutter/widgets.dart';

extension SafeSetStateExtension on State {
  FutureOr<void> safeSetState(FutureOr<dynamic> Function() fn) async {
    await fn();
    if (mounted) {
      setState(() {});
    }
  }
}

extension NullableObjectExtension on Object? {
  StackTrace? get nullableStackTrace {
    if (this is Error?) {
      return (this as Error?)?.stackTrace;
    }
    return null;
  }
}
